FLAC 1.4.2 Free Lossless Audio Codec

Public Attributes | List of all members
FLAC__FrameHeader Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
uint32_t | blocksize
uint32_t | sample_rate
uint32_t | channels
FLAC__ChannelAssignment | channel_assignment
uint32_t | bits_per_sample
FLAC__FrameNumberType | number_type
union {
FLAC__uint32 frame_number
FLAC__uint64 sample_number
} | number
FLAC__uint8 | crc

## Detailed Description

FLAC frame header structure. (c.f. format specification)

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation